Last Comment Bug 47139 - Make page source tabbed, each tab representing a frame
: Make page source tabbed, each tab representing a frame
Status: NEW
relnote-user
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal with 7 votes (vote)
: ---
Assigned To: jag (Peter Annema)
:
Mentors:
: 16632 (view as bug list)
Depends on: 42758
Blocks: 79518 108099
  Show dependency treegraph
 
Reported: 2000-07-31 18:54 PDT by sairuh (rarely reading bugmail)
Modified: 2008-08-16 23:45 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (5.37 KB, patch)
2002-02-18 09:40 PST, Christian :Biesinger (don't email me, ping me on IRC)
timeless: review+
Details | Diff | Splinter Review

Description sairuh (rarely reading bugmail) 2000-07-31 18:54:23 PDT
this has been around for a while, but i cannot seem to find an existing bug for
this problem. if it does exist, please do lemme know (would it perchance be bug
16632?)

anyhowusing the branch bits (tested on linux and mac today).

1. go to a page with frames, eg http://www.wired.com or http://marvin.mcom.com
2. click in the content area of one of the frames (to get focus).
3. dropdown the View menu.

observe that there are only entries for Page Source and Page Info.

side note: this is not a problem (well, sorta) for the context [popup] menu,
since View Frame Source *is* there. (page/frame info missing in context menu is
covered by bug 41443).
Comment 1 sairuh (rarely reading bugmail) 2000-07-31 18:57:30 PDT
i doubt there's time to implement this for beta2, unless am being too
pessimistic --so adding relnote2 kw.
Comment 2 sairuh (rarely reading bugmail) 2000-07-31 18:58:02 PDT
clarified summary.
Comment 3 Blake Ross 2000-07-31 19:02:32 PDT
me me me! I want it! all me!
Comment 4 Blake Ross 2000-07-31 19:22:14 PDT
Matthew, we need some UI magic here.  What should the order of these items: 
{Page Source, Page Info, Frame Source, Frame Info} be in the menu?  In one 
sense, it's logical to group the two page and the two frame items together, but 
in another it's logical to group the two source and the two info items 
together...
Comment 5 Matthew Paul Thomas 2000-07-31 22:31:35 PDT
4.0xp (but not 4.xp where x !=0, I think) is Page Source, Page Info, separator, 
Frame Source, Frame Info. And that makes a lot of sense, because frameless pages 
are much more common than framed ones, so the Page commands should go together 
more than the Source commands should.

Give me 24 hours on this one, I need to think. For some documents (e.g.
<http://rnz.co.nz/>) you have frame A inside frameset B inside frameset C. If you 
just provide `Page Source', `Page Info', `Frame Source', and `Frame Info', you're 
going to be able to get to the source or info of A and C, but never of B (unless 
you use Page Info to find B's URL and open B in its own window, but that isn't 
always possible with militant Web sites which insist on framedness).

See also <http://critique.net.nz/project/mozilla/general/components/info/>, which 
is the beginnings of combining Page Source, Page Info, Frame Source, and Frame 
Info (among other things) into a single `Document Properties' thingy. (If you
and Tim Hill implement that, you'll be worshipped by Web developers the world 
over ...)
Comment 6 Blake Ross 2000-07-31 22:41:35 PDT
Wouldn't Frame Source give you the source of whatever frame was currently
selected, thereby making it possible to get the source of any frame? (btw, that
site you mentioned doesn't load...bad JS UA check)

Also, in 4x, is the Frame Source item just missing entirely from the View menu
if the document has no frames, or just disabled?
Comment 7 Matthew Paul Thomas 2000-08-01 03:11:28 PDT
> Wouldn't Frame Source give you the source of whatever frame was currently
> selected,

That's right.

>           thereby making it possible to get the source of any frame?

No. Because frame B is a frameset filled up with frames {A1, A2, ...}, you can't 
select frame B because you're always selecting one of the A frames instead.

This was a problem with 4.x too, of course. And if you're not worried about 
perpetuating a rare problem with nested frames (where the alternative is probably 
a popup menu for selecting frames in the Info window, combined with source 
display in the Info window ...), then just go ahead and copy the 4.0x menu items 
as described above.

> Also, in 4x, is the Frame Source item just missing entirely from the View menu
> if the document has no frames, or just disabled?

Probably disabled, but I don't have a version available to check. (Remember this 
is 4.0x we're talking about. In 4.5 and later, Frame Source/Info disappeared into 
the context menu.)
Comment 8 Matthew Paul Thomas 2000-08-02 22:35:37 PDT
Ok, sorry for the delay.

The quick solution is to do Page Source, Page Info, separator, Frame Source, 
Frame Info, like 4.0x did. You won't be able to get to the source/info of the
B-type frames, but then no other browser that I know of lets you do that either.

The proper solution is to do the following:
* make View Source a tab of the Info window (with an `Edit ...' button to open
  the source in your helper app for text/plain);
* add a popup menu, above the tabs, to select which file you are showing the
  source/info for (where the default is `document', for the outermost frameset);
* replace the four menu items with a single `Document Source/_Info' item.
Not only would this provide access to the B-frames, but it would also simplify 
the menu to the order of three (!) items.
Comment 9 Blake Ross 2000-08-04 15:49:29 PDT
I was just thinking about this today.  We can't really have a View Frame 
Source/View Frame Info menu item if we're not going to show focus in frames 
(that bug got futured), since the user will really have no idea which frame the 
items refer to.
Comment 10 sairuh (rarely reading bugmail) 2000-08-04 16:40:00 PDT
blake, what's the # of the doesn't-show-focus-in-frames bug?
Comment 11 Blake Ross 2000-09-02 19:02:17 PDT
[sorry 'bout delay...] That's bug 42758.  While I could still implement this 
(focus is given to frames, just not shown), I think it would just hurt things, 
since the user would have to guess most of the time which frame he's getting 
the info about or the source for.  so marking this dependent on 42758 and 
futuring it until we get a decision.
Comment 12 Blake Ross 2000-09-05 14:15:10 PDT
removing helpwanted, I already have a patch, it's just useless without 42758 
getting fixed
Comment 13 Blake Ross 2000-11-21 08:18:53 PST
p5 until 42758 is fixed
Comment 14 Blake Ross 2000-12-07 20:18:36 PST
giving this to Ben for now, I'll take it back when 42758 gets fixed.
Comment 15 Marcia Knous [:marcia - use ni] 2001-01-09 09:23:30 PST
Netscape nav triage team: per Alec Flett's pre-triage recommendation, this 
bug is nsbeta1-.
Comment 16 Paul Chen 2001-03-20 10:45:21 PST
Marking nsbeta1- bugs as future to get off the radar
Comment 17 Tim Powell 2001-06-07 09:58:43 PDT
It looks like 42758 is fixed now. Blake, do you still have your patch?
Comment 18 Christian :Biesinger (don't email me, ping me on IRC) 2002-02-18 08:47:28 PST
taking
Comment 19 Christian :Biesinger (don't email me, ping me on IRC) 2002-02-18 09:40:22 PST
Created attachment 70089 [details] [diff] [review]
patch
Comment 20 timeless 2002-02-18 09:53:56 PST
Comment on attachment 70089 [details] [diff] [review]
patch

accesskey will conflict with reload or something, otherwise this is fine
Comment 21 Christian :Biesinger (don't email me, ping me on IRC) 2002-02-18 10:52:53 PST
Comment on attachment 70089 [details] [diff] [review]
patch

ok ok, I'll change it to "f"
Comment 22 marlon bishop 2002-02-18 11:33:34 PST
what happened to the suggestion in comment #8?  I think it's a good approach to
keeping the menus short.  i would only propose that we do not combine Page Info
and Page Source into one tab-style panel,  but keep them separate features. 
this would allow us to do a tabbed panel on Page Source, where each tab would
represent one frame of the frameset.  So if a user is focused in a frame, then
choose command "view source" from the menu, it opens the panel pre-selected on
the focused frame.  this provides an easier inteface to accessing other
source(s) in case they did not really intend to focus a frame to view.

 
Comment 23 Christian :Biesinger (don't email me, ping me on IRC) 2002-02-18 12:45:35 PST
looks like I missed comment 8...

OK, well, I think that would be possible...
Seems to be not as simple, though, so setting Target Milestone = 1.0.1
Comment 24 Chris Lyon 2002-03-11 04:46:09 PST
*** Bug 16632 has been marked as a duplicate of this bug. ***
Comment 25 Christian :Biesinger (don't email me, ping me on IRC) 2002-05-26 03:43:33 PDT
resummarizing according to comment 22
Comment 26 Shoshannah Forbes 2002-06-07 15:06:09 PDT
What about hitting CTRL+U when a spcific frame is in focus? Right now, it 
displays the source of the parent page, NOT the source of the focused frame.
Comment 27 Christian :Biesinger (don't email me, ping me on IRC) 2002-06-07 23:27:54 PDT
well, if I'd change that, there would be no way to view the page source if 
you're currently viewing a frameset with the keyboard, only the frame source...

in any case, that's a seperate bug, though it would be made invalid with fixing 
this one.
Comment 28 Christian :Biesinger (don't email me, ping me on IRC) 2002-08-04 09:58:06 PDT
bugs w/o patches -> NEW
Comment 29 Christian :Biesinger (don't email me, ping me on IRC) 2002-09-01 02:49:26 PDT
I have learned that UI patches are not wanted in this project. reassigning to
default owner.
Comment 30 Blake Ross 2004-04-03 15:22:51 PST
Reassigning obsolete bugs to their respective Seamonkey owners (i.e. nobody). 
If you want this fixed for Firefox, change the Product and Component accordingly
and reassign back to me.
Comment 31 Wayne Mery (:wsmwk, NI for questions) 2005-07-19 07:06:35 PDT
could be a nice addition. 
patch is real simple, but needs to be reverified.
takers?
Comment 32 Serge Gautherie (:sgautherie) 2008-06-10 09:57:04 PDT
Filter "spam" on "guifeatures-nobody-20080610".

Note You need to log in before you can comment on or make changes to this bug.